package digital.laboratory.platform.entrustment.convert;

import digital.laboratory.platform.entrustment.entity.EntrustApproveRecord;
import digital.laboratory.platform.entrustment.vo.EntrustApproveRecordVO;

/**
 * 委托审核记录 实体 vo dto等对象转换
 */
public class EntrustApproveRecordConvert {

    public static EntrustApproveRecordVO entityToVO(EntrustApproveRecord entity) {
        EntrustApproveRecordVO entrustApproveRecordVO = new EntrustApproveRecordVO();
        entrustApproveRecordVO.setId(entity.getId());
        entrustApproveRecordVO.setEntrustId(entity.getEntrustId());
        entrustApproveRecordVO.setApproveType(entity.getApproveType());
        entrustApproveRecordVO.setComments(entity.getComments());
        entrustApproveRecordVO.setUserId(entity.getUserId());
        entrustApproveRecordVO.setOrgId(entity.getOrgId());
        entrustApproveRecordVO.setApproveTime(entity.getApproveTime());
        return entrustApproveRecordVO;
    }

}
